# $Revision: 1.17 $, $Date: 2005/06/27 14:43:38 $
%define		zope_subname	CMFBoard
Summary:	Portal discussion for Plone
Summary(pl):	Portal dyskusyjny dla Plone
Name:		Zope-%{zope_subname}
Version:	2.2.1
Release:	1
License:	GPL
Group:		Development/Tools
Source0:	http://dl.sourceforge.net/collective/%{zope_subname}-%{version}.tar.gz
# Source0-md5:	c9e758f81525e49a89871ba79af61588
URL:		http://www.cmfboard.org/
Requires(post,postun):	/usr/sbin/installzopeproduct
BuildRequires:	python
%pyrequires_eq	python-modules
Requires:	Zope
Requires:	Zope-BTreeFolder2
Requires:	Zope-CMF
Requires:	Zope-CMFPlone >= 2.0
Requires:	Zope-CMFMessage
Requires:	Zope-PlacelessTranslationService
Requires:	Zope-PortalTransport
Requires:	Zope-archetypes >= 1.2.5
Requires:	python-Imaging
Requires:	python-PyXML
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Conflicts:	CMF
Conflicts:	Plone

%description
Portal discussion for Plone.

%description -l pl
Portal dyskusyjny dla Plone.

%prep
%setup -q -n %{zope_subname}

%build
rm -rf skins/cmfboard/{personalize_form.pt,personalize_form.pt.properties}
rm -rf skins/cmfboard/fcMaillist/{register.py,validate_personalize.py,validate_registration.py}
rm -rf i18n/{build.bat,*.exe}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

cp -af {Extensions,i18n,mailtemplates,skins,uihelpers,zpt,*.py,*.gif,version.txt} $RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

# find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/installzopeproduct %{_datadir}/%{name} %{zope_subname}
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/installzopeproduct -d %{zope_subname}
	if [ -f /var/lock/subsys/zope ]; then
		/etc/rc.d/init.d/zope restart >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc docs/* CHANGES.txt CREDITS.txt README.txt TODO.txt BUGS.txt
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-CMFBoard.spec,v $
Revision 1.17  2005/06/27 14:43:38  ciesiel
- upgraded to version 2.2.1

Revision 1.16  2005/05/06 20:51:03  ciesiel
- upgraded to version 2.2

Revision 1.15  2005/02/09 14:31:54  ciesiel
- upgraded to version 2.1.4

Revision 1.14  2005/01/13 06:39:54  ankry
- spaces -> tabs

Revision 1.13  2005/01/12 21:11:05  ciesiel
- added BR: python

Revision 1.12  2004/12/27 14:14:49  saq
- release 2 for rebuild with python 2.4

Revision 1.11  2004/10/30 11:59:11  paladine
- spaces->tabs

Revision 1.10  2004/10/27 14:08:22  ciesiel
- upgraded to version 2.1.3

Revision 1.9  2004/07/28 08:03:20  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.8  2004/06/30 14:12:28  ciesiel
- upgraded to version 2.1.2

Revision 1.7  2004/06/14 17:41:47  ciesiel
- upgraded to version 2.1.1
- changed some req.

Revision 1.6  2004/05/21 20:13:19  ciesiel
- upgraded to version 2.1
- added new req.

Revision 1.5  2004/04/02 06:21:04  ciesiel
- upgraded to version 2.0 (final)

Revision 1.4  2004/03/27 14:25:36  ciesiel
- upgraded to version 1.4.4

Revision 1.3  2004/01/16 11:47:48  ciesiel
- upgraded to 1.4.3 version

Revision 1.2  2003/12/22 21:08:07  ciesiel
- upgraded to 1.4.2 version

Revision 1.1  2003/12/12 22:44:37  ciesiel
- initial release

